edu.ucsb.nceas.metacat.admin

## Class MetacatAdmin

- java.lang.Object
- - edu.ucsb.nceas.metacat.admin.MetacatAdmin

- Direct Known Subclasses:
    AuthAdmin, BackupAdmin, D1Admin, DBAdmin, EZIDAdmin, LoginAdmin, PropertiesAdmin, QuotaAdmin, ReplicationAdmin, SkinsAdmin, SolrAdmin

      public abstract class MetacatAdmin
      extends java.lang.Object

  A suite of utility classes for querying DB

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FAILURE`
    `static java.lang.String` | `IN_PROGRESS`
    `static java.lang.String` | `SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetacatAdmin()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `updateUpgradeStatus(java.lang.String propertyName, java.lang.String status, boolean persist)` Update the status of an sub upgrade process (e.g.
    `protected abstract java.util.Vector<java.lang.String>` | `validateOptions(javax.servlet.http.HttpServletRequest request)` Require subclasses to implement a properties validator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESS

          public static final java.lang.String SUCCESS

      See Also:
        Constant Field Values

    - #### FAILURE

          public static final java.lang.String FAILURE

      See Also:
        Constant Field Values

    - #### IN_PROGRESS

          public static final java.lang.String IN_PROGRESS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetacatAdmin

          public MetacatAdmin()

  - ### Method Detail

    - #### validateOptions

          protected abstract java.util.Vector<java.lang.String> validateOptions(javax.servlet.http.HttpServletRequest request)

      Require subclasses to implement a properties validator.
      Returns:
        a vector holding error message for any fields that fail validation.

    - #### updateUpgradeStatus

          public static void updateUpgradeStatus(java.lang.String propertyName,
                                                 java.lang.String status,
                                                 boolean persist)
                                          throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Update the status of an sub upgrade process (e.g. database). It will also update the status of the property which indicates the whole upgrade process (database, and java upgrade).
      Parameters:
        `propertyName` - the name of property needs to be updated
        `status` - the new status should be set
      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.